function [a, b, c, d] = ConstruireSplineClassique(x, y)
    
    NbPoints = numel(x);
    ds = zeros(NbPoints,1);
    
    %Creation de la matrice H
    H = zeros(NbPoints-2, NbPoints-2);
    H(1,1) = 2*(x(3)-x(1));
    H(1,2) = x(3) - x(2);
    H(NbPoints-2, NbPoints-2) = 2*(x(NbPoints) - x(NbPoints-2));
    for i=2:NbPoints-3
        H(i,i) = 2*(x(i+2) - x(i));
        H(i, i-1) = H(i-1, i);
        H(i, i+1) = x(i+2) - x(i+1);
    end
    H(NbPoints-2, NbPoints-3) = H(NbPoints-3, NbPoints-2);
    
    
    %Cration de la matrice R
    R = zeros(NbPoints-2, 1);
    for i=1:NbPoints-2
        R(i) = 6*(((y(i+2)-y(i+1))/(x(i+2)-x(i+1))) - ((y(i+1)-y(i))/(x(i+1)-x(i))));
    end
    
    
    %Calcul des derivees secondes en chaque point
    T = inv(H)*R;
    ds(2:NbPoints-1) = T;
    
    for i=1:NbPoints-1
        a(i) = 1/6 * (ds(i+1) - ds(i))/(x(i+1) - x(i));
        b(i) = 0.5 * ds(i);
        c(i) = (y(i+1) - y(i))/(x(i+1)-x(i)) - 1/6*(x(i+1)-x(i))*(ds(i+1)+2*ds(i));
        d(i) = y(i);
    end
    
    for i=1:NbPoints-1
        TracerPolynomeOffset([d(i) c(i) b(i) a(i)], x(i), x(i), x(i+1));
    end
    plot(x,y,'*');
end