function valeurs=ConstruireSplineCatmullF(x, y)
    
    NbPoints = numel(x);
    
    %Calcul des drives
    l = zeros(NbPoints, 1);
    
    l(1)=(y(2)-y(1))/(x(2)-x(1));
    l(NbPoints)=(y(NbPoints) - y(NbPoints-1))/(x(NbPoints) - x(NbPoints-1));
    
    for i=2:NbPoints-1
        l(i) = (y(i+1) - y(i-1)) / (x(i+1) - x(i-1));
    end
    
    for i=1:NbPoints-1
        A = (l(i+1) - l(i)) / (2*(x(i+1) - x(i)));
        B = -1.5*(x(i+1) + x(i));
        C = l(i) - 2*x(i)*A;
        D = -3*x(i)^2 - 2*x(i)*B;
        E = y(i) - A*x(i)^2 - C*x(i);
        F = -x(i)^3 - B*x(i)^2 - D*x(i);
        
        a(i) = (y(i+1) - A*x(i+1)^2 - C*x(i+1) - E)/(x(i+1)^3 + B*x(i+1)^2 + D*x(i+1) + F);
        b(i) = A + a(i)*B;
        c(i) = C + a(i)*D;
        d(i) = E + a(i)*F;
    end
    
    for i=1:numel(x)-1
        if (i==1)
            j = 1 : floor(x(i+1));
        else
            j = floor(x(i)) : floor(x(i+1));
            
        end
        valeurs(j) = a(i)*(j).^3 + b(i)*(j).^2 + c(i)*(j) + d(i);
    end
end